---
cruise:
  id: "SR2516"
  start: "2025-07-18"
  end: "2025-07-31"
loggers:
  adcp_uhdas_speedlog:
    configs:
      - adcp_uhdas_speedlog->off
      - adcp_uhdas_speedlog->file
      - adcp_uhdas_speedlog->net
      - adcp_uhdas_speedlog->file+net
  ais_fa30:
    configs:
      - ais_fa30->off
      - ais_fa30->file
      - ais_fa30->net
      - ais_fa30->file+net
  gps_hemisphere:
    configs:
      - gps_hemisphere->off
      - gps_hemisphere->file
      - gps_hemisphere->net
      - gps_hemisphere->file+net
  grav_bgm3:
    configs:
      - grav_bgm3->off
      - grav_bgm3->file
      - grav_bgm3->net
      - grav_bgm3->file+net
  grav_dgs:
    configs:
      - grav_dgs->off
      - grav_dgs->file
  mag_seaspy:
    configs:
      - mag_seaspy->off
      - mag_seaspy->file
      - mag_seaspy->net
      - mag_seaspy->file+net
  # met_bridge_wind:
  #  configs:
  #    - met_bridge_wind->off
  #    - met_bridge_wind->file
  #    - met_bridge_wind->net
  #    - met_bridge_wind->file+net
  met_metacq_wicor:
    configs:
      - met_metacq_wicor->off
      - met_metacq_wicor->file
      - met_metacq_wicor->net
      - met_metacq_wicor->file+net
  mru_seapath380MRU_em3000:
    configs:
      - mru_seapath380MRU_em3000->off
      - mru_seapath380MRU_em3000->file
      - mru_seapath380MRU_em3000->net
      - mru_seapath380MRU_em3000->file+net
  mru_seapath380MRU_navbho:
    configs:
      - mru_seapath380MRU_navbho->off
      - mru_seapath380MRU_navbho->file
      - mru_seapath380MRU_navbho->net
      - mru_seapath380MRU_navbho->file+net
  mru_seapath380MGC_em3000:
    configs:
      - mru_seapath380MGC_em3000->off
      - mru_seapath380MGC_em3000->file
      - mru_seapath380MGC_em3000->net
      - mru_seapath380MGC_em3000->file+net
  mru_seapath380MGC_navbho:
    configs:
      - mru_seapath380MGC_navbho->off
      - mru_seapath380MGC_navbho->file
      - mru_seapath380MGC_navbho->net
      - mru_seapath380MGC_navbho->file+net
  multibeam_em124_depth:
    configs:
      - multibeam_em124_depth->off
      - multibeam_em124_depth->file
      - multibeam_em124_depth->net
      - multibeam_em124_depth->file+net
  multibeam_em712_depth:
    configs:
      - multibeam_em712_depth->off
      - multibeam_em712_depth->file
      - multibeam_em712_depth->net
      - multibeam_em712_depth->file+net
  splitbeam_ek80_depth:
    configs:
      - splitbeam_ek80_depth->off
      - splitbeam_ek80_depth->file
      - splitbeam_ek80_depth->net
      - splitbeam_ek80_depth->file+net
  singlebeam_knudsen3260_depth:
    configs:
      - singlebeam_knudsen3260_depth->off
      - singlebeam_knudsen3260_depth->file
      - singlebeam_knudsen3260_depth->net
      - singlebeam_knudsen3260_depth->file+net
  ssv_valeport:
    configs:
      - ssv_valeport->off
      - ssv_valeport->file
      - ssv_valeport->net
      - ssv_valeport->file+net
  tsg_sbe45:
    configs:
      - tsg_sbe45->off
      - tsg_sbe45->file
      - tsg_sbe45->net
      - tsg_sbe45->file+net
  usbl_hipap:
    configs:
      - usbl_hipap->off
      - usbl_hipap->file
      - usbl_hipap->net
      - usbl_hipap->file+net
  winch_lci90i_hydro_aft:
    configs:
      - winch_lci90i_hydro_aft->off
      - winch_lci90i_hydro_aft->file
      - winch_lci90i_hydro_aft->net
      - winch_lci90i_hydro_aft->file+net
  winch_lci90i_hydro_fwd:
    configs:
      - winch_lci90i_hydro_fwd->off
      - winch_lci90i_hydro_fwd->file
      - winch_lci90i_hydro_fwd->net
      - winch_lci90i_hydro_fwd->file+net
  winch_lci90i_trawl:
    configs:
      - winch_lci90i_trawl->off
      - winch_lci90i_trawl->file
      - winch_lci90i_trawl->net
      - winch_lci90i_trawl->file+net
  mb_to_influx:
    configs:
      - mb_to_influx->off
      - mb_to_influx->on
  serial_to_influx:
    configs:
      - serial_to_influx->off
      - serial_to_influx->on
  wicor_to_influx:
    configs:
      - wicor_to_influx->off
      - wicor_to_influx->on
  winch_to_influx:
    configs:
      - winch_to_influx->off
      - winch_to_influx->on
modes:
  "off":
    adcp_uhdas_speedlog: adcp_uhdas_speedlog->off
    ais_fa30: ais_fa30->off
    gps_hemisphere: gps_hemisphere->off
    grav_bgm3: grav_bgm3->off
    grav_dgs: grav_dgs->off
    mag_seaspy: mag_seaspy->off
    met_metacq_wicor: met_metacq_wicor->off
    mru_seapath380MRU_em3000: mru_seapath380MRU_em3000->off
    mru_seapath380MRU_navbho: mru_seapath380MRU_navbho->off
    mru_seapath380MGC_em3000: mru_seapath380MGC_em3000->off
    mru_seapath380MGC_navbho: mru_seapath380MGC_navbho->off
    multibeam_em124_depth: multibeam_em124_depth->off
    multibeam_em712_depth: multibeam_em712_depth->off
    splitbeam_ek80_depth: splitbeam_ek80_depth->off
    singlebeam_knudsen3260_depth: singlebeam_knudsen3260_depth->off
    ssv_valeport: ssv_valeport->off
    tsg_sbe45: tsg_sbe45->off
    usbl_hipap: usbl_hipap->off
    winch_lci90i_hydro_aft: winch_lci90i_hydro_aft->off
    winch_lci90i_hydro_fwd: winch_lci90i_hydro_fwd->off
    winch_lci90i_trawl: winch_lci90i_trawl->off
    mb_to_influx: mb_to_influx->off
    serial_to_influx: serial_to_influx->off
    wicor_to_influx: wicor_to_influx->off
    winch_to_influx: winch_to_influx->off
  underway:
    adcp_uhdas_speedlog: adcp_uhdas_speedlog->file+net
    ais_fa30: ais_fa30->file
    gps_hemisphere: gps_hemisphere->file+net
    grav_bgm3: grav_bgm3->file+net
    grav_dgs: grav_dgs->file
    mag_seaspy: mag_seaspy->file+net
    met_metacq_wicor: met_metacq_wicor->file+net
    mru_seapath380MRU_em3000: mru_seapath380MRU_em3000->off
    mru_seapath380MRU_navbho: mru_seapath380MRU_navbho->file+net
    mru_seapath380MGC_em3000: mru_seapath380MGC_em3000->off
    mru_seapath380MGC_navbho: mru_seapath380MGC_navbho->file+net
    multibeam_em124_depth: multibeam_em124_depth->file+net
    multibeam_em712_depth: multibeam_em712_depth->file+net
    splitbeam_ek80_depth: splitbeam_ek80_depth->file+net
    singlebeam_knudsen3260_depth: singlebeam_knudsen3260_depth->file+net
    ssv_valeport: ssv_valeport->file+net
    tsg_sbe45: tsg_sbe45->file+net
    usbl_hipap: usbl_hipap->file+net
    winch_lci90i_hydro_aft: winch_lci90i_hydro_aft->file+net
    winch_lci90i_hydro_fwd: winch_lci90i_hydro_fwd->file+net
    winch_lci90i_trawl: winch_lci90i_trawl->file+net
    serial_to_influx: serial_to_influx->on
    mb_to_influx: mb_to_influx->on
    wicor_to_influx: wicor_to_influx->on
    winch_to_influx: winch_to_influx->on
  eez:
    adcp_uhdas_speedlog: adcp_uhdas_speedlog->off
    ais_fa30: ais_fa30->file
    gps_hemisphere: gps_hemisphere->file+net
    grav_bgm3: grav_bgm3->off
    grav_dgs: grav_dgs->off
    mag_seaspy: mag_seaspy->off
    met_metacq_wicor: met_metacq_wicor->off
    mru_seapath380MRU_em3000: mru_seapath380MRU_em3000->off
    mru_seapath380MRU_navbho: mru_seapath380MRU_navbho->file+net
    mru_seapath380MGC_em3000: mru_seapath380MGC_em3000->off
    mru_seapath380MGC_navbho: mru_seapath380MGC_navbho->file+net
    multibeam_em124_depth: multibeam_em124_depth->off
    multibeam_em712_depth: multibeam_em712_depth->off
    splitbeam_ek80_depth: splitbeam_ek80_depth->off
    singlebeam_knudsen3260_depth: singlebeam_knudsen3260_depth->off
    ssv_valeport: ssv_valeport->file+net
    tsg_sbe45: tsg_sbe45->file+net
    usbl_hipap: usbl_hipap->file+net
    winch_lci90i_hydro_aft: winch_lci90i_hydro_aft->file+net
    winch_lci90i_hydro_fwd: winch_lci90i_hydro_fwd->file+net
    winch_lci90i_trawl: winch_lci90i_trawl->file+net
    mb_to_influx: mb_to_influx->on
    serial_to_influx: serial_to_influx->on
    wicor_to_influx: wicor_to_influx->on
    winch_to_influx: winch_to_influx->on
  port:
    adcp_uhdas_speedlog: adcp_uhdas_speedlog->off
    ais_fa30: ais_fa30->file
    gps_hemisphere: gps_hemisphere->file+net
    grav_bgm3: grav_bgm3->file+net
    grav_dgs: grav_dgs->file
    mag_seaspy: mag_seaspy->off
    met_metacq_wicor: met_metacq_wicor->file+net
    mru_seapath380MRU_em3000: mru_seapath380MRU_em3000->off
    mru_seapath380MRU_navbho: mru_seapath380MRU_navbho->file+net
    mru_seapath380MGC_em3000: mru_seapath380MGC_em3000->off
    mru_seapath380MGC_navbho: mru_seapath380MGC_navbho->file+net
    multibeam_em124_depth: multibeam_em124_depth->off
    multibeam_em712_depth: multibeam_em712_depth->off
    splitbeam_ek80_depth: splitbeam_ek80_depth->off
    singlebeam_knudsen3260_depth: singlebeam_knudsen3260_depth->off
    ssv_valeport: ssv_valeport->off
    tsg_sbe45: tsg_sbe45->off
    usbl_hipap: usbl_hipap->file+net
    winch_lci90i_hydro_aft: winch_lci90i_hydro_aft->file+net
    winch_lci90i_hydro_fwd: winch_lci90i_hydro_fwd->file+net
    winch_lci90i_trawl: winch_lci90i_trawl->file+net
    serial_to_influx: serial_to_influx->on
    mb_to_influx: mb_to_influx->on
    wicor_to_influx: wicor_to_influx->on
    winch_to_influx: winch_to_influx->on
default_mode: port
configs:
  adcp_uhdas_speedlog->off: {}
  ais_fa30->off: {}
  gps_hemisphere->off: {}
  grav_bgm3->off: {}
  grav_dgs->off: {}
  mag_seaspy->off: {}
  met_metacq_wicor->off: {}
  mru_seapath380MRU_em3000->off: {}
  mru_seapath380MRU_navbho->off: {}
  mru_seapath380MGC_em3000->off: {}
  mru_seapath380MGC_navbho->off: {}
  multibeam_em124_depth->off: {}
  multibeam_em712_depth->off: {}
  splitbeam_ek80_depth->off: {}
  singlebeam_knudsen3260_depth->off: {}
  ssv_valeport->off: {}
  tsg_sbe45->off: {}
  usbl_hipap->off: {}
  winch_lci90i_hydro_aft->off: {}
  winch_lci90i_hydro_fwd->off: {}
  winch_lci90i_trawl->off: {}
  mb_to_influx->off: {}
  serial_to_influx->off: {}
  wicor_to_influx->off: {}
  winch_to_influx->off: {}
  adcp_uhdas_speedlog->file:
    readers:
      class: UDPReader
      kwargs:
        port: 9133
        eol: "\r\n"
    transforms:
      - class: SplitTransform
        module: logger.transforms.split_transform
      - class: TimestampTransform
    writers:
      - class: LogfileWriter
        kwargs:
          filebase: "/data/logger/SR2516_adcp_uhdas_speedlog"
          suffix: .txt
  ais_fa30->file:
    readers:
      class: UDPReader
      kwargs:
        port: 10033
        eol: "\r\n"
    transforms:
      - class: SplitTransform
        module: logger.transforms.split_transform
      - class: TimestampTransform
    writers:
      - class: LogfileWriter
        kwargs:
          filebase: "/data/logger/SR2516_ais_fa30"
          suffix: .txt
  gps_hemisphere->file:
    readers:
      class: UDPReader
      kwargs:
        port: 9115
        eol: "\r\n"
    transforms:
      - class: SplitTransform
        module: logger.transforms.split_transform
      - class: TimestampTransform
    writers:
      - class: LogfileWriter
        kwargs:
          filebase: "/data/logger/SR2516_gps_hemisphere"
          suffix: .txt
  grav_bgm3->file:
    readers:
      class: UDPReader
      kwargs:
        port: 9823
        eol: "\r\n"
    transforms:
      - class: SplitTransform
        module: logger.transforms.split_transform
      - class: TimestampTransform
    writers:
      - class: LogfileWriter
        kwargs:
          filebase: "/data/logger/SR2516_grav_bgm3"
          suffix: .txt
  grav_dgs->file:
    readers:
      class: UDPReader
      kwargs:
        port: 9821
    transforms:
      - class: SplitTransform
        module: logger.transforms.split_transform
      - class: TimestampTransform
    writers:
      - class: LogfileWriter
        kwargs:
          filebase: "/data/logger/SR2516_grav_dgs"
          suffix: .txt
  mag_seaspy->file:
    readers:
      class: UDPReader
      kwargs:
        port: 9811
        eol: "\r\n"
    transforms:
      - class: SplitTransform
        module: logger.transforms.split_transform
      - class: TimestampTransform
    writers:
      - class: LogfileWriter
        kwargs:
          filebase: "/data/logger/SR2516_mag_seaspy"
          suffix: .txt
  met_metacq_wicor->file:
    readers:
      class: UDPReader
      kwargs:
        port: 40019
        eol: "\r\n"
    transforms:
      - class: SplitTransform
        module: logger.transforms.split_transform
      - class: TimestampTransform
    writers:
      - class: LogfileWriter
        kwargs:
          filebase: "/data/logger/SR2516_met_metacq_wicor"
          suffix: .txt
  mru_seapath380MRU_em3000->file:
    readers:
      - class: UDPReader
        kwargs:
          port: 9112
          encoding_errors: backslashreplace
    transforms:
      - class: SplitTransform
        module: logger.transforms.split_transform
      - class: TimestampTransform
    writers:
      - class: LogfileWriter
        kwargs:
          filebase: "/data/logger/SR2516_mru_seapath380MRU_em3000"
          suffix: .bin
  mru_seapath380MRU_navbho->file:
    readers:
      class: UDPReader
      kwargs:
        port: 8112
    transforms:
      - class: SplitTransform
        module: logger.transforms.split_transform
      - class: TimestampTransform
    writers:
      - class: LogfileWriter
        kwargs:
          filebase: "/data/logger/SR2516_mru_seapath380MRU_navbho"
          suffix: .txt
  mru_seapath380MGC_em3000->file:
    readers:
      - class: UDPReader
        kwargs:
          port: 9116
          encoding_errors: backslashreplace
    transforms:
      - class: SplitTransform
        module: logger.transforms.split_transform
      - class: TimestampTransform
    writers:
      - class: LogfileWriter
        kwargs:
          filebase: "/data/logger/SR2516_mru_seapath380MGC_em3000"
          suffix: .bin
  mru_seapath380MGC_navbho->file:
    readers:
      class: UDPReader
      kwargs:
        port: 8113
    transforms:
      - class: SplitTransform
        module: logger.transforms.split_transform
      - class: TimestampTransform
    writers:
      - class: LogfileWriter
        kwargs:
          filebase: "/data/logger/SR2516_mru_seapath380MGC_navbho"
          suffix: .txt
  multibeam_em124_depth->file:
    readers:
      class: UDPReader
      kwargs:
        port: 16187
    transforms:
      - class: SplitTransform
        module: logger.transforms.split_transform
      - class: TimestampTransform
    writers:
      - class: LogfileWriter
        kwargs:
          filebase: "/data/logger/SR2516_multibeam_em124_depth"
          suffix: .txt
  multibeam_em712_depth->file:
    readers:
      class: UDPReader
      kwargs:
        port: 16185
    transforms:
      - class: SplitTransform
        module: logger.transforms.split_transform
      - class: TimestampTransform
    writers:
      - class: LogfileWriter
        kwargs:
          filebase: "/data/logger/SR2516_multibeam_em712_depth"
          suffix: .txt
  splitbeam_ek80_depth->file:
    readers:
      class: UDPReader
      kwargs:
        port: 16189
    transforms:
      - class: SplitTransform
        module: logger.transforms.split_transform
      - class: TimestampTransform
    writers:
      - class: LogfileWriter
        kwargs:
          filebase: "{dataroot}/SR2516_splitbeam_ek80_depth"
  singlebeam_knudsen3260_depth->file:
    readers:
      class: UDPReader
      kwargs:
        port: 55000
        eol: "\r\n"
    transforms:
      - class: SplitTransform
        module: logger.transforms.split_transform
      - class: TimestampTransform
    writers:
      - class: LogfileWriter
        kwargs:
          filebase: "/data/logger/SR2516_singlebeam_knudsen3260_depth"
  ssv_valeport->file:
    readers:
      class: UDPReader
      kwargs:
        port: 9201
        eol: "\r\n"
    transforms:
      - class: SplitTransform
        module: logger.transforms.split_transform
      - class: TimestampTransform
    writers:
      - class: LogfileWriter
        kwargs:
          filebase: "/data/logger/SR2516_ssv_valeport"
          suffix: .txt
  tsg_sbe45->file:
    readers:
      class: UDPReader
      kwargs:
        port: 9203
        eol: "\r\n"
    transforms:
      - class: SplitTransform
        module: logger.transforms.split_transform
      - class: TimestampTransform
    writers:
      - class: LogfileWriter
        kwargs:
          filebase: "/data/logger/SR2516_tsg_sbe45"
          suffix: .txt
  usbl_hipap->file:
    readers:
      class: UDPReader
      kwargs:
        port: 9205
    transforms:
      - class: SplitTransform
        module: logger.transforms.split_transform
      - class: TimestampTransform
    writers:
      - class: LogfileWriter
        kwargs:
          filebase: "/data/logger/SR2516_usbl_hipap"
          suffix: .txt
  winch_lci90i_hydro_aft->file:
    readers:
      class: UDPReader
      kwargs:
        port: 17133
        eol: "\r\n"
    transforms:
      - class: TimestampTransform
    writers:
      - class: LogfileWriter
        kwargs:
          filebase: "/data/logger/SR2516_winch_lci90i_hydro_aft"
          suffix: .txt
  winch_lci90i_hydro_fwd->file:
    readers:
      class: UDPReader
      kwargs:
        port: 17131
        eol: "\r\n"
    transforms:
      - class: TimestampTransform
    writers:
      - class: LogfileWriter
        kwargs:
          filebase: "/data/logger/SR2516_winch_lci90i_hydro_fwd"
          suffix: .txt
  winch_lci90i_trawl->file:
    readers:
      class: UDPReader
      kwargs:
        port: 17132
        eol: "\r\n"
    transforms:
      - class: TimestampTransform
    writers:
      - class: LogfileWriter
        kwargs:
          filebase: "/data/logger/SR2516_winch_lci90i_trawl"
          suffix: .txt
  adcp_uhdas_speedlog->net:
    readers:
      - class: UDPReader
        kwargs:
          port: 9133
          eol: "\r\n"
    transforms:
      - class: SplitTransform
        module: logger.transforms.split_transform
      - class: TimestampTransform
      - class: PrefixTransform
        kwargs:
          prefix: adcp_uhdas_speedlog
    writers:
      - class: UDPWriter
        kwargs:
          port: 6221
  ais_fa30->net:
    readers:
      - class: UDPReader
        kwargs:
          port: 10033
    transforms:
      - class: SplitTransform
        module: logger.transforms.split_transform
      - class: RegexReplaceTransform
        module: logger.transforms.regex_replace_transform
        kwargs:
          patterns:
            ^.*!AIV: " !AIV"
            ^.*\$PFEC: " $PFEC"
      - class: TimestampTransform
      - class: PrefixTransform
        kwargs:
          prefix: ais_fa30
    writers:
      - class: UDPWriter
        kwargs:
          port: 6221
  gps_hemisphere->net:
    readers:
      - class: UDPReader
        kwargs:
          port: 9115
          eol: "\r\n"
    transforms:
      - class: SplitTransform
        module: logger.transforms.split_transform
      - class: TimestampTransform
      - class: PrefixTransform
        kwargs:
          prefix: gps_hemisphere
    writers:
      - class: UDPWriter
        kwargs:
          port: 6221
  grav_bgm3->net:
    readers:
      - class: UDPReader
        kwargs:
          port: 9823
          eol: "\r\n"
    transforms:
      - class: SplitTransform
        module: logger.transforms.split_transform
      - class: TimestampTransform
      - class: PrefixTransform
        kwargs:
          prefix: grav_bgm3
    writers:
      - class: UDPWriter
        kwargs:
          port: 6221
  mag_seaspy->net:
    readers:
      - class: UDPReader
        kwargs:
          port: 9811
          eol: "\r\n"
    transforms:
      - class: SplitTransform
        module: logger.transforms.split_transform
      - class: TimestampTransform
      - class: PrefixTransform
        kwargs:
          prefix: mag_seaspy
    writers:
      - class: UDPWriter
        kwargs:
          port: 6221
  met_metacq_wicor->net:
    readers:
      - class: UDPReader
        kwargs:
          port: 40019
          eol: "\r\n"
    transforms:
      - class: SplitTransform
        module: logger.transforms.split_transform
      - class: TimestampTransform
      - class: PrefixTransform
        kwargs:
          prefix: met_metacq_wicor
    writers:
      - class: UDPWriter
        kwargs:
          port: 6224
  mru_seapath380MRU_em3000->net:
    readers:
      - class: UDPReader
        kwargs:
          port: 9112
          encoding_errors: backslashreplace
    transforms:
      - class: SplitTransform
        module: logger.transforms.split_transform
      - class: TimestampTransform
      - class: PrefixTransform
        kwargs:
          prefix: mru_seapath380MRU_em3000
    writers:
      - class: UDPWriter
        kwargs:
          port: 6221
  mru_seapath380MRU_navbho->net:
    readers:
      - class: UDPReader
        kwargs:
          port: 8112
    transforms:
      - class: SplitTransform
        module: logger.transforms.split_transform
      - class: TimestampTransform
      - class: PrefixTransform
        kwargs:
          prefix: mru_seapath380MRU_navbho
    writers:
      - class: UDPWriter
        kwargs:
          port: 6221
  mru_seapath380MGC_em3000->net:
    readers:
      - class: UDPReader
        kwargs:
          port: 9116
          encoding_errors: backslashreplace
    transforms:
      - class: SplitTransform
        module: logger.transforms.split_transform
      - class: TimestampTransform
      - class: PrefixTransform
        kwargs:
          prefix: mru_seapath380MGC_navbho
    writers:
      - class: UDPWriter
        kwargs:
          port: 6221
  mru_seapath380MGC_navbho->net:
    readers:
      - class: UDPReader
        kwargs:
          port: 8113
    transforms:
      - class: SplitTransform
        module: logger.transforms.split_transform
      - class: TimestampTransform
      - class: PrefixTransform
        kwargs:
          prefix: mru_seapath380MGC_navbho
    writers:
      - class: UDPWriter
        kwargs:
          port: 6221
  multibeam_em124_depth->net:
    readers:
      - class: UDPReader
        kwargs:
          port: 16187
    transforms:
      - class: SplitTransform
        module: logger.transforms.split_transform
      - class: TimestampTransform
      - class: PrefixTransform
        kwargs:
          prefix: multibeam_em124_depth
    writers:
      - class: UDPWriter
        kwargs:
          port: 6222
  multibeam_em712_depth->net:
    readers:
      - class: UDPReader
        kwargs:
          port: 16185
    transforms:
      - class: SplitTransform
        module: logger.transforms.split_transform
      - class: TimestampTransform
      - class: PrefixTransform
        kwargs:
          prefix: multibeam_em712_depth
    writers:
      - class: UDPWriter
        kwargs:
          port: 6222
  splitbeam_ek80_depth->net:
    readers:
      - class: UDPReader
        kwargs:
          port: 16189
    transforms:
      - class: SplitTransform
        module: logger.transforms.split_transform
      - class: TimestampTransform
      - class: PrefixTransform
        kwargs:
          prefix: splitbeam_ek80_depth
    writers:
      - class: UDPWriter
        kwargs:
          port: 6222
  singlebeam_knudsen3260_depth->net:
    readers:
      - class: UDPReader
        kwargs:
          port: 55000
    transforms:
      - class: SplitTransform
        module: logger.transforms.split_transform
      - class: TimestampTransform
      - class: PrefixTransform
        kwargs:
          prefix: singlebeam_knudsen3260_depth
    writers:
      - class: UDPWriter
        kwargs:
          port: 6222
  ssv_valeport->net:
    readers:
      - class: UDPReader
        kwargs:
          port: 9201
          eol: "\r\n"
    transforms:
      - class: SplitTransform
        module: logger.transforms.split_transform
      - class: TimestampTransform
      - class: PrefixTransform
        kwargs:
          prefix: ssv_valeport
    writers:
      - class: UDPWriter
        kwargs:
          port: 6221
  tsg_sbe45->net:
    readers:
      - class: UDPReader
        kwargs:
          port: 9203
          eol: "\r\n"
    transforms:
      - class: SplitTransform
        module: logger.transforms.split_transform
      - class: TimestampTransform
      - class: PrefixTransform
        kwargs:
          prefix: tsg_sbe45
    writers:
      - class: UDPWriter
        kwargs:
          port: 6221
  usbl_hipap->net:
    readers:
      - class: UDPReader
        kwargs:
          port: 9205
          eol: "\r\n"
    transforms:
      - class: SplitTransform
        module: logger.transforms.split_transform
      - class: TimestampTransform
      - class: PrefixTransform
        kwargs:
          prefix: usbl_hipap
    writers:
      - class: UDPWriter
        kwargs:
          port: 6221
  winch_lci90i_hydro_aft->net:
    readers:
      - class: UDPReader
        kwargs:
          port: 17133
          eol: "\r\n"
    transforms:
      - class: TimestampTransform
      - class: PrefixTransform
        kwargs:
          prefix: winch_lci90i_hydro_aft
    writers:
      - class: UDPWriter
        kwargs:
          port: 6223
  winch_lci90i_hydro_fwd->net:
    readers:
      - class: UDPReader
        kwargs:
          port: 17131
          eol: "\r\n"
    transforms:
      - class: TimestampTransform
      - class: PrefixTransform
        kwargs:
          prefix: winch_lci90i_hydro_fwd
    writers:
      - class: UDPWriter
        kwargs:
          port: 6223
  winch_lci90i_trawl->net:
    readers:
      - class: UDPReader
        kwargs:
          port: 17132
          eol: "\r\n"
    transforms:
      - class: TimestampTransform
      - class: PrefixTransform
        kwargs:
          prefix: winch_lci90i_trawl
    writers:
      - class: UDPWriter
        kwargs:
          port: 6223
  adcp_uhdas_speedlog->file+net:
    readers:
      - class: UDPReader
        kwargs:
          port: 9133
          eol: "\r\n"
    transforms:
      - class: SplitTransform
        module: logger.transforms.split_transform
      - class: TimestampTransform
    writers:
      - class: LogfileWriter
        kwargs:
          filebase: "/data/logger/SR2516_adcp_uhdas_speedlog"
          suffix: .txt
      - class: ComposedWriter
        kwargs:
          transforms:
            - class: PrefixTransform
              kwargs:
                prefix: adcp_uhdas_speedlog
          writers:
            - class: UDPWriter
              kwargs:
                port: 6221
  ais_fa30->file+net:
    readers:
      - class: UDPReader
        kwargs:
          port: 10033
    transforms:
      - class: SplitTransform
        module: logger.transforms.split_transform
      - class: TimestampTransform
    writers:
      - class: LogfileWriter
        kwargs:
          filebase: "/data/logger/SR2516_ais_fa30"
          suffix: .txt
      - class: ComposedWriter
        kwargs:
          transforms:
            - class: RegexReplaceTransform
              module: logger.transforms.regex_replace_transform
              kwargs:
                patterns:
                  ^.*!AIV: " !AIV"
                  ^.*\$PFEC: " $PFEC"
            - class: PrefixTransform
              kwargs:
                prefix: ais_fa30
          writers:
            - class: UDPWriter
              kwargs:
                port: 6221
  gps_hemisphere->file+net:
    readers:
      - class: UDPReader
        kwargs:
          port: 9115
          eol: "\r\n"
    transforms:
      - class: SplitTransform
        module: logger.transforms.split_transform
      - class: TimestampTransform
    writers:
      - class: LogfileWriter
        kwargs:
          filebase: "/data/logger/SR2516_gps_hemisphere"
          suffix: .txt
      - class: ComposedWriter
        kwargs:
          transforms:
            - class: PrefixTransform
              kwargs:
                prefix: gps_hemisphere
          writers:
            - class: UDPWriter
              kwargs:
                port: 6221
  grav_bgm3->file+net:
    readers:
      - class: UDPReader
        kwargs:
          port: 9823
          eol: "\r\n"
    transforms:
      - class: SplitTransform
        module: logger.transforms.split_transform
      - class: TimestampTransform
    writers:
      - class: LogfileWriter
        kwargs:
          filebase: "/data/logger/SR2516_grav_bgm3"
          suffix: .txt
      - class: ComposedWriter
        kwargs:
          transforms:
            - class: PrefixTransform
              kwargs:
                prefix: grav_bgm3
          writers:
            - class: UDPWriter
              kwargs:
                port: 6221
  mag_seaspy->file+net:
    readers:
      - class: UDPReader
        kwargs:
          port: 9811
          eol: "\r\n"
    transforms:
      - class: SplitTransform
        module: logger.transforms.split_transform
      - class: TimestampTransform
    writers:
      - class: LogfileWriter
        kwargs:
          filebase: "/data/logger/SR2516_mag_seaspy"
          suffix: .txt
      - class: ComposedWriter
        kwargs:
          transforms:
            - class: PrefixTransform
              kwargs:
                prefix: mag_seaspy
          writers:
            - class: UDPWriter
              kwargs:
                port: 6221
  met_metacq_wicor->file+net:
    readers:
      - class: UDPReader
        kwargs:
          port: 40019
          eol: "\r\n"
    transforms:
      - class: SplitTransform
        module: logger.transforms.split_transform
      - class: TimestampTransform
    writers:
      - class: LogfileWriter
        kwargs:
          filebase: "/data/logger/SR2516_met_metacq_wicor"
          suffix: .txt
      - class: ComposedWriter
        kwargs:
          transforms:
            - class: PrefixTransform
              kwargs:
                prefix: met_metacq_wicor
          writers:
            - class: UDPWriter
              kwargs:
                port: 6224
  mru_seapath380MRU_em3000->file+net:
    readers:
      - class: UDPReader
        kwargs:
          port: 9112
          encoding_errors: backslashreplace
    transforms:
      - class: SplitTransform
        module: logger.transforms.split_transform
      - class: TimestampTransform
    writers:
      - class: LogfileWriter
        kwargs:
          filebase: "/data/logger/SR2516_mru_seapath380MRU_em3000"
          suffix: .bin
      - class: ComposedWriter
        kwargs:
          transforms:
            - class: PrefixTransform
              kwargs:
                prefix: mru_seapath380MRU_em3000
          writers:
            - class: UDPWriter
              kwargs:
                port: 6221
  mru_seapath380MRU_navbho->file+net:
    readers:
      - class: UDPReader
        kwargs:
          port: 8112
    transforms:
      - class: SplitTransform
        module: logger.transforms.split_transform
      - class: TimestampTransform
    writers:
      - class: LogfileWriter
        kwargs:
          filebase: "/data/logger/SR2516_mru_seapath380MRU_navbho"
          suffix: .txt
      - class: ComposedWriter
        kwargs:
          transforms:
            - class: PrefixTransform
              kwargs:
                prefix: mru_seapath380MRU_navbho
          writers:
            - class: UDPWriter
              kwargs:
                port: 6221
  mru_seapath380MGC_em3000->file+net:
    readers:
      - class: UDPReader
        kwargs:
          port: 9116
          encoding_errors: backslashreplace
    transforms:
      - class: SplitTransform
        module: logger.transforms.split_transform
      - class: TimestampTransform
    writers:
      - class: LogfileWriter
        kwargs:
          filebase: "/data/logger/SR2516_mru_seapath380MGC_em3000"
          suffix: .bin
      - class: ComposedWriter
        kwargs:
          transforms:
            - class: PrefixTransform
              kwargs:
                prefix: mru_seapath380MGC_navbho
          writers:
            - class: UDPWriter
              kwargs:
                port: 6221
  mru_seapath380MGC_navbho->file+net:
    readers:
      - class: UDPReader
        kwargs:
          port: 8113
    transforms:
      - class: SplitTransform
        module: logger.transforms.split_transform
      - class: TimestampTransform
    writers:
      - class: LogfileWriter
        kwargs:
          filebase: "/data/logger/SR2516_mru_seapath380MGC_navbho"
          suffix: .txt
      - class: ComposedWriter
        kwargs:
          transforms:
            - class: PrefixTransform
              kwargs:
                prefix: mru_seapath380MGC_navbho
          writers:
            - class: UDPWriter
              kwargs:
                port: 6221
  multibeam_em124_depth->file+net:
    readers:
      - class: UDPReader
        kwargs:
          port: 16187
    transforms:
      - class: SplitTransform
        module: logger.transforms.split_transform
      - class: TimestampTransform
    writers:
      - class: LogfileWriter
        kwargs:
          filebase: "/data/logger/SR2516_multibeam_em124_depth"
          suffix: .txt
      - class: ComposedWriter
        kwargs:
          transforms:
            - class: PrefixTransform
              kwargs:
                prefix: multibeam_em124_depth
          writers:
            - class: UDPWriter
              kwargs:
                port: 6222
  multibeam_em712_depth->file+net:
    readers:
      - class: UDPReader
        kwargs:
          port: 16185
    transforms:
      - class: SplitTransform
        module: logger.transforms.split_transform
      - class: TimestampTransform
    writers:
      - class: LogfileWriter
        kwargs:
          filebase: "/data/logger/SR2516_multibeam_em712_depth"
          suffix: .txt
      - class: ComposedWriter
        kwargs:
          transforms:
            - class: PrefixTransform
              kwargs:
                prefix: multibeam_em712_depth
          writers:
            - class: UDPWriter
              kwargs:
                port: 6222
  splitbeam_ek80_depth->file+net:
    readers:
      - class: UDPReader
        kwargs:
          port: 16189
    transforms:
      - class: SplitTransform
        module: logger.transforms.split_transform
      - class: TimestampTransform
    writers:
      - class: LogfileWriter
        kwargs:
          filebase: "/data/logger/SR2508_splitbeam_ek80_depth"
          suffix: .txt
      - class: ComposedWriter
        kwargs:
          transforms:
            - class: PrefixTransform
              kwargs:
                prefix: splitbeam_ek80_depth
          writers:
            - class: UDPWriter
              kwargs:
                port: 6222
  singlebeam_knudsen3260_depth->file+net:
    readers:
      - class: UDPReader
        kwargs:
          port: 55000
    transforms:
      - class: SplitTransform
        module: logger.transforms.split_transform
      - class: TimestampTransform
    writers:
      - class: LogfileWriter
        kwargs:
          filebase: "/data/logger/SR2516_singlebeam_knudsen3260_depth"
          suffix: .txt
      - class: ComposedWriter
        kwargs:
          transforms:
            - class: PrefixTransform
              kwargs:
                prefix: singlebeam_knudsen3260_depth
          writers:
            - class: UDPWriter
              kwargs:
                port: 6222
  ssv_valeport->file+net:
    readers:
      - class: UDPReader
        kwargs:
          port: 9201
          eol: "\r\n"
    transforms:
      - class: SplitTransform
        module: logger.transforms.split_transform
      - class: TimestampTransform
    writers:
      - class: LogfileWriter
        kwargs:
          filebase: "/data/logger/SR2516_ssv_valeport"
          suffix: .txt
      - class: ComposedWriter
        kwargs:
          transforms:
            - class: PrefixTransform
              kwargs:
                prefix: ssv_valeport
          writers:
            - class: UDPWriter
              kwargs:
                port: 6223
  tsg_sbe45->file+net:
    readers:
      - class: UDPReader
        kwargs:
          port: 9203
          eol: "\r\n"
    transforms:
      - class: SplitTransform
        module: logger.transforms.split_transform
      - class: TimestampTransform
    writers:
      - class: LogfileWriter
        kwargs:
          filebase: "/data/logger/SR2516_tsg_sbe45"
          suffix: .txt
      - class: ComposedWriter
        kwargs:
          transforms:
            - class: PrefixTransform
              kwargs:
                prefix: tsg_sbe45
          writers:
            - class: UDPWriter
              kwargs:
                port: 6221
  usbl_hipap->file+net:
    readers:
      - class: UDPReader
        kwargs:
          port: 9205
          eol: "\r\n"
    transforms:
      - class: SplitTransform
        module: logger.transforms.split_transform
      - class: TimestampTransform
    writers:
      - class: LogfileWriter
        kwargs:
          filebase: "/data/logger/SR2516_usbl_hipap"
          suffix: .txt
      - class: ComposedWriter
        kwargs:
          transforms:
            - class: PrefixTransform
              kwargs:
                prefix: usbl_hipap
          writers:
            - class: UDPWriter
              kwargs:
                port: 6221
  winch_lci90i_hydro_aft->file+net:
    readers:
      - class: UDPReader
        kwargs:
          port: 17133
          eol: "\r\n"
    transforms:
      - class: StripTransform
        module: logger.transforms.strip_transform
        kwargs:
          unprintable: true
      - class: TimestampTransform
    writers:
      - class: LogfileWriter
        kwargs:
          filebase: "/data/logger/SR2516_winch_lci90i_hydro_aft"
          suffix: .txt
      - class: ComposedWriter
        kwargs:
          transforms:
            - class: PrefixTransform
              kwargs:
                prefix: winch_lci90i_hydro_aft
          writers:
            - class: UDPWriter
              kwargs:
                port: 6223
  winch_lci90i_hydro_fwd->file+net:
    readers:
      - class: UDPReader
        kwargs:
          port: 17131
          eol: "\r\n"
    transforms:
      - class: StripTransform
        module: logger.transforms.strip_transform
        kwargs:
          unprintable: true
      - class: TimestampTransform
    writers:
      - class: LogfileWriter
        kwargs:
          filebase: "/data/logger/SR2516_winch_lci90i_hydro_fwd"
          suffix: .txt
      - class: ComposedWriter
        kwargs:
          transforms:
            - class: PrefixTransform
              kwargs:
                prefix: winch_lci90i_hydro_fwd
          writers:
            - class: UDPWriter
              kwargs:
                port: 6223
  winch_lci90i_trawl->file+net:
    readers:
      - class: UDPReader
        kwargs:
          port: 17132
          eol: "\r\n"
    transforms:
      - class: StripTransform
        module: logger.transforms.strip_transform
        kwargs:
          unprintable: true
      - class: TimestampTransform
    writers:
      - class: LogfileWriter
        kwargs:
          filebase: "/data/logger/SR2516_winch_lci90i_trawl"
          suffix: .txt
      - class: ComposedWriter
        kwargs:
          transforms:
            - class: PrefixTransform
              kwargs:
                prefix: winch_lci90i_trawl
          writers:
            - class: UDPWriter
              kwargs:
                port: 6223
  mb_to_influx->on:
    readers:
      - class: UDPReader
        kwargs:
          port: 6222
    transforms:
      - class: ParseTransform
        kwargs:
          strip_unprintable: true
          definition_path: /opt/openrvdas/local/sr/sr_devices.yaml
    writers:
      # - class: UDPWriter
      #   kwargs:
      #     port: 7222
      - class: InfluxDBWriter
        kwargs:
          bucket_name: openrvdas
  serial_to_influx->on:
    readers:
      - class: UDPReader
        kwargs:
          port: 6221
    transforms:
      - class: ParseTransform
        kwargs:
          strip_unprintable: true
          definition_path: /opt/openrvdas/local/sr/sr_devices.yaml
    writers:
      # - class: UDPWriter
      #   kwargs:
      #     port: 7221
      - class: InfluxDBWriter
        kwargs:
          bucket_name: openrvdas
  wicor_to_influx->on:
    readers:
      - class: UDPReader
        kwargs:
          port: 6224
    transforms:
      - class: ParseWICORTransform
        module: local.sr.modules.parse_wicor_transform
        kwargs:
          prefix: WICOR_
    writers:
      - class: InfluxDBWriter
        kwargs:
          bucket_name: openrvdas
  winch_to_influx->on:
    readers:
      - class: UDPReader
        kwargs:
          port: 6223
    transforms:
      - class: ParseTransform
        kwargs:
          strip_unprintable: true
          definition_path: /opt/openrvdas/local/sr/sr_devices.yaml
    writers:
      # - class: UDPWriter
      #   kwargs:
      #     port: 7223
      - class: InfluxDBWriter
        kwargs:
          bucket_name: openrvdas
